## org.eclipse.jst.ws.annotations.core.initialization
Interface IAnnotationAttributeInitializer

All Known Implementing Classes:
  AnnotationAttributeInitializer, DefaultsAnnotationAttributeInitializer

    public interface IAnnotationAttributeInitializer

Base interface for annotation attribute initializers.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Method Summary
`java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal>` `getCompletionProposalsForMemberValuePair(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.MemberValuePair memberValuePair)` Used to provide a list of `ICompletionProposal` for a `MemberValuePair` value.
`java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal>` `getCompletionProposalsForSingleMemberAnnotation(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.SingleMemberAnnotation singleMemberAnnotation)` Used to provide a list of `ICompletionProposal` for a `SingleMemberAnnotation` value.
`java.util.List<org.eclipse.jdt.core.dom.MemberValuePair>` `getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.AST ast, java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)` Deprecated. as of 1.1 replaced by `getMemberValuePairs(IJavaElement, AST, IType)`
`java.util.List<org.eclipse.jdt.core.dom.MemberValuePair>` `getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement, org.eclipse.jdt.core.dom.AST ast, org.eclipse.jdt.core.IType type)` Returns a list of `MemberValuePair` that may be added to a `NormalAnnotation`.

Method Detail

### getMemberValuePairs

    @Deprecated
    java.util.List<org.eclipse.jdt.core.dom.MemberValuePair> getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                            org.eclipse.jdt.core.dom.AST ast,
                                                                                            java.lang.Class<? extends java.lang.annotation.Annotation> annotationClass)

  Deprecated. as of 1.1 replaced by `getMemberValuePairs(IJavaElement, AST, IType)`

  Returns a list of `MemberValuePair` that may be added to a `NormalAnnotation`.

  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `ast` - the `AST` with which to create the member value pairs.
    `annotationClass` - the `Annotation` class which may be used to query the declared members of the annotation type and the members default values.
  Returns:
    a list of member value pairs.

### getMemberValuePairs

    java.util.List<org.eclipse.jdt.core.dom.MemberValuePair> getMemberValuePairs(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                 org.eclipse.jdt.core.dom.AST ast,
                                                                                 org.eclipse.jdt.core.IType type)

  Returns a list of `MemberValuePair` that may be added to a `NormalAnnotation`.

  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `ast` - the `AST` with which to create the member value pairs.
    `type` - the `IType` which represents an annotation type,.
  Returns:
    a list of member value pairs.
  Since:
    1.1

### getCompletionProposalsForMemberValuePair

    java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal> getCompletionProposalsForMemberValuePair(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                                                      org.eclipse.jdt.core.dom.MemberValuePair memberValuePair)

  Used to provide a list of `ICompletionProposal` for a `MemberValuePair` value.

  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `memberValuePair` - the member value pair in which content assist was invoked.
  Returns:
    a list of completion proposals.

### getCompletionProposalsForSingleMemberAnnotation

    java.util.List<org.eclipse.jface.text.contentassist.ICompletionProposal> getCompletionProposalsForSingleMemberAnnotation(org.eclipse.jdt.core.IJavaElement javaElement,
                                                                                                                             org.eclipse.jdt.core.dom.SingleMemberAnnotation singleMemberAnnotation)

  Used to provide a list of `ICompletionProposal` for a `SingleMemberAnnotation` value.

  Parameters:
    `javaElement` - the java element on which the annotation is declared.
    `singleMemberAnnotation` - the single member annotation in which content assist was invoked.
  Returns:
    a list of completion proposals.